import { jsx } from "react/jsx-runtime";
import { TextHSixIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextHSix = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TextHSix", ...props, children: /* @__PURE__ */ jsx(TextHSixIcon, { weight: variant }) });
  }
);
TextHSix.displayName = "TextHSix";
Object.assign(TextHSix, { isGdsIcon: true });
export {
  TextHSix
};
